Subject: [COSE] Inconsistencies in COSE registry names

From: Mike Jones <[email-masked]>
Date: Wed, 30 Nov 2016 23:41:58 +0000

While working on another spec using COSE https://tools.ietf.org/html/draft-ietf-cose-msg-24, I noticed that multiple inconsistent names are used for the same registries in some cases.  I hope that this can be addressed by the RFC Editor (included in this communication) before publication.

1.  Where multiple names appear on the same line below, I believe they refer to the same registry.  What I believe to be the correct name is first:
                "COSE Header Parameters", "COSE Header Labels"
                "COSE Algorithms", "COSE Algorithm Value", "COSE Algorithm Values"
                "COSE Key Type Parameters", "COSE Key Type Parameter Labels"

2.  The registry name "COSE Curves" is used in the table in 13.1.1 (Double Coordinate Curves) but doesn't refer to any registry I'm aware of.

3.  I believe that the name "COSE Key Type" should be changed to "COSE Key Types" for consistency sake, since all the other registry names use plurals.

4.  There are several places in the running text in which the word "Registry" is included in the registry name in quotation marks, rather than being placed outside the quotation marks.  For instance, I believe these changes should be made in the body text:
                "COSE Key Type Registry" -> "COSE Key Type" registry
                "COSE Key Common Parameters Registry" -> "COSE Key Common Parameters" registry

For completeness, I believe these registry names and their usages are fine:
                "COSE Header Algorithm Parameters"
                "COSE Key Common Parameters"
                "COSE Elliptic Curve Parameters"

                                                                -- Mike